Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1442526

Summary: Review Request: nodejs-base - Framework for rapidly creating node.js applications, using plugins
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-29 14:40:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1442516, 1442517, 1442519, 1442523    
Bug Blocks: 956806, 1387531    

Description Jared Smith 2017-04-15 02:51:48 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-base/nodejs-base.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-base/nodejs-base-0.13.0-1.fc27.src.rpm
Description: Framework for rapidly creating node.js applications, using plugins
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-25 12:55:53 UTC
Please update to version 0.13.1


Tests fail for me:

  61 passing (77ms)
  21 failing
  1) constructor should "visit" over an object to extend the instance:
     AssertionError [ERR_ASSERTION]: undefined == 'bar'
      at Context.<anonymous> (test.js:21:12)
  2) constructor should map "visit" over an array to extend the instance:
     AssertionError [ERR_ASSERTION]: undefined == 'bar'
      at Context.<anonymous> (test.js:30:12)
  3) constructor should add foo:
     AssertionError [ERR_ASSERTION]: undefined == 'bar'
      at Context.<anonymous> (test.js:61:12)
  4) prototype methods .set should set a key-value pair on the instance::
     AssertionError [ERR_ASSERTION]: undefined == 'bar'
      at Context.<anonymous> (test.js:411:14)
  5) prototype methods .set should set nested property::
     TypeError: Cannot read property 'b' of undefined
      at Context.<anonymous> (test.js:416:26)
  6) prototype methods .set should set a nested property with the key as an array::
     TypeError: Cannot read property 'b' of undefined
      at Context.<anonymous> (test.js:421:26)
  7) prototype methods .set should set an object on the instance::
     AssertionError [ERR_ASSERTION]: undefined == 'b'
      at Context.<anonymous> (test.js:426:14)
  8) prototype methods .get should get a property from the instance::
     AssertionError [ERR_ASSERTION]: undefined == 'b'
      at Context.<anonymous> (test.js:433:14)
  9) prototype methods .get should get a nested property from the instance::
     AssertionError [ERR_ASSERTION]: undefined == 'd'
      at Context.<anonymous> (test.js:438:14)
  10) prototype methods .get should get a property using an array::
     AssertionError [ERR_ASSERTION]: undefined == 'd'
      at Context.<anonymous> (test.js:443:14)
  11) prototype methods .get should get a property using a list of arguments:
     AssertionError [ERR_ASSERTION]: undefined == 'd'
      at Context.<anonymous> (test.js:448:14)
  12) prototype methods .has should check for a property from the instance::
      AssertionError [ERR_ASSERTION]: false == true
      + expected - actual
      +true
      -false
      
      at Context.<anonymous> (test.js:467:14)
  13) prototype methods .has should check for a nested property from the instance::
      AssertionError [ERR_ASSERTION]: false == true
      + expected - actual
      +true
      -false
      
      at Context.<anonymous> (test.js:472:14)
  14) prototype methods .has should check for a property using an array::
      AssertionError [ERR_ASSERTION]: false == true
      + expected - actual
      +true
      -false
      
      at Context.<anonymous> (test.js:477:14)
  15) prototype methods .has should check for a property using a list of arguments:
      AssertionError [ERR_ASSERTION]: false == true
      + expected - actual
      +true
      -false
      
      at Context.<anonymous> (test.js:482:14)
  16) prototype methods .visit should visit an object with the given method::
     AssertionError [ERR_ASSERTION]: undefined == 'b'
      at Context.<anonymous> (test.js:492:14)
  17) prototype methods .visit should visit an array with the given method::
     AssertionError [ERR_ASSERTION]: undefined == 'b'
      at Context.<anonymous> (test.js:497:14)
  18) prototype methods .del should remove a property::
     AssertionError [ERR_ASSERTION]: undefined == 'b'
      at Context.<anonymous> (test.js:505:14)
  19) prototype methods .del should remove an array of properties::
     AssertionError [ERR_ASSERTION]: undefined == 'a'
      at Context.<anonymous> (test.js:517:14)
  20) events should emit get:
     AssertionError [ERR_ASSERTION]: undefined == 'bar'
      at Base.<anonymous> (test.js:833:14)
      at Base.Emitter.emit (/usr/lib/node_modules/component-emitter/index.js:133:20)
      at Base.Cache.get (/usr/lib/node_modules/cache-base/index.js:150:10)
      at Context.<anonymous> (test.js:837:10)
  21) events should emit has:
      AssertionError [ERR_ASSERTION]: false == true
      + expected - actual
      +true
      -false
      
      at Base.<anonymous> (test.js:843:14)
      at Base.Emitter.emit (/usr/lib/node_modules/component-emitter/index.js:133:20)
      at Base.Cache.has (/usr/lib/node_modules/cache-base/index.js:178:10)
      at Context.<anonymous> (test.js:847:10)


I'll retry on Koji when the dependencies are into Rawhide.

Comment 2 Jared Smith 2017-09-27 18:15:32 UTC
This is building fine in a Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22105284

Comment 4 Robert-André Mauchin 2017-09-28 16:56:51 UTC
All ok now, package accepted.

Comment 5 Jared Smith 2017-09-29 12:00:04 UTC
Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1775

Comment 6 Gwyn Ciesla 2017-09-29 12:47:10 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-base

Comment 7 Jared Smith 2017-09-29 14:40:20 UTC
In rawhide, closing bug